Debian Bug report logs - #604631
please add support for systemd

version graph

Package: live-debconfig; Maintainer for live-debconfig is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-debconfig is src:live-debconfig.

Reported by: Michael Biebl <biebl@debian.org>

Date: Tue, 23 Nov 2010 08:57:02 UTC

Severity: wishlist

Fixed in version live-debconfig/4.0~a18-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guido Trotter <ultrotter@debian.org>:
Bug#604631; Package lxc. (Tue, 23 Nov 2010 08:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Guido Trotter <ultrotter@debian.org>. (Tue, 23 Nov 2010 08:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lxc-start fails to start a container when using systemd
Date: Tue, 23 Nov 2010 09:56:16 +0100
Package: lxc
Version: 0.7.2-1
Severity: normal
User: systemd@packages.debian.org
Usertags: cgroups

Hi,

I'm running systemd [1],  a new init system which uses cgroups to supervise
and confine processes. It uses a cgroup namespace mounted at
/sys/fs/cgroup/systemd

When I try to start a lxc container using lxc-start, I get the following
error message:

# lxc-start -n debian
lxc-start: No such file or directory - failed to rename cgroup
/sys/fs/cgroup/systemd/24304->/sys/fs/cgroup/systemd/debian
lxc-start: failed to spawn 'debian'
lxc-start: No such file or directory - failed to remove cgroup
'/sys/fs/cgroup/systemd/debian'

Michael

[1] http://wiki.debian.org/systemd
-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.36-trunk-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lxc depends on:
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  libcap2                       1:2.19-3   support for getting/setting POSIX.

Versions of packages lxc recommends:
ii  libcap2-bin                   1:2.19-3   basic utility programs for using c

lxc suggests no packages.

-- no debconf information




Changed Bug title to 'lxc-start fails to start container with systemd' from 'lxc-start fails to start a container when using systemd' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 23 Sep 2011 03:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, marcus.osdoba@googlemail.com, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#604631; Package lxc. (Sun, 06 Nov 2011 00:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Osdoba <marcus.osdoba@googlemail.com>:
Extra info received and forwarded to list. Copy sent to marcus.osdoba@googlemail.com, Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 06 Nov 2011 00:18:04 GMT) Full text and rfc822 format available.

Message #12 received at 604631@bugs.debian.org (full text, mbox):

From: Marcus Osdoba <marcus.osdoba@googlemail.com>
To: Debian Bug Tracking System <604631@bugs.debian.org>
Subject: Re: systemd uses cgroup itself
Date: Sun, 06 Nov 2011 01:15:18 +0100
Package: lxc
Version: 0.7.5-3
Severity: normal

Just a comment: Somewhere I read, that systemd itself uses cgroup to speed
things up. Since lxc also uses cgroup, I'm not sure if using cgroup inside a
cgroup backed lxc container will work. Im running wheezy inside an lxc
container with some problems/warnings, but without systemd (just "normal" init
support from minimal task).



-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-bpo.2-486
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lxc depends on:
ii  debconf [debconf-2.0]         1.5.36.1   Debian configuration management sy
ii  libc6                         2.11.2-10  Embedded GNU C Library: Shared lib
ii  libcap2                       1:2.19-3   support for getting/setting POSIX.

Versions of packages lxc recommends:
ii  debootstrap              1.0.26+squeeze1 Bootstrap a basic Debian system
ii  libcap2-bin              1:2.19-3        basic utility programs for using c

lxc suggests no packages.

-- debconf information:
  lxc/title:
  lxc/auto: true




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#604631; Package lxc. (Sun, 06 Nov 2011 05:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Sun, 06 Nov 2011 05:03:08 GMT) Full text and rfc822 format available.

Message #17 received at 604631@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 604631@bugs.debian.org
Subject: Re: Bug#604631: systemd uses cgroup itself
Date: Sun, 06 Nov 2011 06:01:20 +0100
using systemd in a container works, it just has to be properly
configured, which is what the newly introduced 'linux-container' package
will to at some point.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Bug reassigned from package 'lxc' to 'linux-container'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 11 Nov 2011 13:51:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions lxc/0.7.2-1 and lxc/0.7.5-3. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 11 Nov 2011 13:51:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'please add support for systemd' from 'lxc-start fails to start container with systemd' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 19 Nov 2011 02:33:04 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 19 Nov 2011 02:33:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-container' to 'live-config'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 14 Jun 2012 06:36:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'please add support for systemd in live-debconfig' from 'please add support for systemd' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 14 Jun 2012 06:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#604631; Package live-config. (Sat, 30 Jun 2012 02:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Majer <adamm@zombino.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 30 Jun 2012 02:45:03 GMT) Full text and rfc822 format available.

Message #34 received at 604631@bugs.debian.org (full text, mbox):

From: Adam Majer <adamm@zombino.com>
To: Debian Bug Tracking System <604631@bugs.debian.org>
Subject: Re: please add support for systemd in live-debconfig
Date: Fri, 29 Jun 2012 21:03:48 -0500
Package: live-config
Followup-For: Bug #604631

I just came across this exact same problem outside of systemd. The
issue was that I was using lxc from Wheezy with an old kernel
(2.6.32). When the kernel was upgraded to 3.2.0 from Wheezy, the
entire issue simply went away.

So the problem could just be a mismatch between older kernel and too
recent of userspace. OR perhaps, too new of a kernel and too old lxc?

- Adam


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (50, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.4-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'live-config' to 'debian-live'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 30 Jul 2012 05:09:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'debian-live' to 'live-debconfig'. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 01 Oct 2012 03:57:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'please add support for systemd' from 'please add support for systemd in live-debconfig' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 01 Oct 2012 03:57:03 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 09 Feb 2013 00:21:03 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Sat, 09 Feb 2013 00:21:04 GMT) Full text and rfc822 format available.

Message #45 received at 604631-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 604631-close@bugs.debian.org
Subject: Bug#604631: fixed in live-debconfig 4.0~a18-1
Date: Sat, 09 Feb 2013 00:17:32 +0000
Source: live-debconfig
Source-Version: 4.0~a18-1

We believe that the bug you reported is fixed in the latest version of
live-debconfig, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604631@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-debconfig package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Feb 2013 00:44:27 +0100
Source: live-debconfig
Binary: live-debconfig live-debconfig-doc
Architecture: source all
Version: 4.0~a18-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-debconfig - Live System Configuration Scripts
 live-debconfig-doc - Live System Configuration Scripts (documentation)
Closes: 604631
Changes: 
 live-debconfig (4.0~a18-1) unstable; urgency=low
 .
   * Populating new getty entries in sysvinit script on progress-linux with
     the --no-hostname option.
   * Adding systemd script for lxc support (Closes: #604631).
   * Renumbering scripts.
Checksums-Sha1: 
 5e9aa4551689a92d18e57d6f219f671ecc1596ce 1378 live-debconfig_4.0~a18-1.dsc
 c0456601bdffbc452dc47976736431bcf4dafdf6 34284 live-debconfig_4.0~a18.orig.tar.xz
 058a54ab65cf06201be30f505b73f94ac065a7bf 4796 live-debconfig_4.0~a18-1.debian.tar.xz
 a348c4b05985dca05f58b13ddacd2b8e67af5ae3 16224 live-debconfig_4.0~a18-1_all.deb
 279220e3cc263cafa4c37f3cc24ac7fb48a5551b 28566 live-debconfig-doc_4.0~a18-1_all.deb
Checksums-Sha256: 
 b9ee44825556edddadce8e1910eae6bfa18c89fa8921f464ce080fe063bc4b3a 1378 live-debconfig_4.0~a18-1.dsc
 ddb4d8b227b922d5aa4e45e19b426fbb3693d61e5a7a62091afb280d8f101386 34284 live-debconfig_4.0~a18.orig.tar.xz
 6bb8095fb709a0c77997190711ce36885ddcc2aecc8c7cf0db1fe5ad12a5daf7 4796 live-debconfig_4.0~a18-1.debian.tar.xz
 b7c6bf4897c14db8d044246df7a1497378aa98eb3dcd0fced7367fa629bdaf60 16224 live-debconfig_4.0~a18-1_all.deb
 914c7b40b1b77b3eec46dbdf0558764ee25573033615f3d8f3f2c1d97d1fc358 28566 live-debconfig-doc_4.0~a18-1_all.deb
Files: 
 1965d3c7f2a293bbc12cefba93a000c6 1378 misc optional live-debconfig_4.0~a18-1.dsc
 54c3e838cf1df5ee633f6e6f991da748 34284 misc optional live-debconfig_4.0~a18.orig.tar.xz
 1b4d647945ed5dec40556179fef0381f 4796 misc optional live-debconfig_4.0~a18-1.debian.tar.xz
 46b25bbec04e01d4a079a6be97a06be6 16224 misc optional live-debconfig_4.0~a18-1_all.deb
 84c6ace9b51ef9b28e65a02870be8eed 28566 doc optional live-debconfig-doc_4.0~a18-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEVk/YACgkQ+C5cwEsrK57e7wCfUiWmJNjok7T4G7QLPPhQbyA6
JpwAoIUSVVxNdMIYwqvkpLH1DwoFCknV
=aNxF
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 09 Mar 2013 07:27:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:08:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.